DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Static Public Member Functions | List of all members
DcmQuant Class Reference

## Static Public Member Functions
static OFCondition | createPaletteColorImage (DicomImage &sourceImage, DcmItem &target, OFBool writeAsOW, OFBool write16BitEntries, OFBool floydSteinberg, Uint32 numberOfColors, OFString &description, DcmLargestDimensionType largeType=DcmLargestDimensionType_default, DcmRepresentativeColorType repType=DcmRepresentativeColorType_default)
| converts the given color image into a palette color image. More...
static OFCondition | updateDerivationDescription (DcmItem *dataset, const char *description)
| create Derivation Description. More...

## Member Function Documentation

## ◆ createPaletteColorImage()

static OFCondition DcmQuant::createPaletteColorImage | ( | DicomImage & | sourceImage,
|  | DcmItem & | target,
|  | OFBool | writeAsOW,
|  | OFBool | write16BitEntries,
|  | OFBool | floydSteinberg,
|  | Uint32 | numberOfColors,
|  | OFString & | description,
|  | DcmLargestDimensionType | largeType = `DcmLargestDimensionType_default`,
|  | DcmRepresentativeColorType | repType = `DcmRepresentativeColorType_default`
| ) |  |
| static

converts the given color image into a palette color image.

All frames of the image are converted. The converted result is written as a complete Image Pixel module to the given target item.

Parameters

  sourceImage | DICOM color image
  target | target item to which the palette color image is written
  writeAsOW | if true, the LUT Data attributes are encoded as OW instead US. LUT Data is always written as OW if numberOfColors is 65536.
  write16BitEntries | if true, LUT data is encoded with 16 bits per entry
  floydSteinberg | determines whether or not to use Floyd-Steinberg error diffusion during creation of the palette color image
  numberOfColors | desired number of colors in the color palette. Valid range is [2..65536].
  description | description string suitable for use as Derivation Description returned in this parameter
  largeType | algorithm used for determining the largest dimension in the Median Cut algorithm
  repType | algorithm for choosing a representative color for each box in the Median Cut algorithm

Returns
  EC_Normal if successful, an error code otherwise.

## ◆ updateDerivationDescription()

static OFCondition DcmQuant::updateDerivationDescription | ( | DcmItem * | dataset,
|  | const char * | description
| ) |  |
| static

create Derivation Description.

If a derivation description already exists, the old text is appended to the new text.

Parameters

  dataset | dataset to be modified
  description | description string.

Returns
  EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmimage/include/dcmtk/dcmimage/diquant.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1